@import './colors';
@import './fonts';
@import './fontSizes';
@import './layout';
@import './mixins-functions';

[role='tooltip'] div {
  font-size: 10px;
}

* {
  font-family: $lato;
  color: $white;
  scrollbar-color: $darker-gray transparent;
}

html, body {
  @include bg-gradient;

  width: 100vw;
  min-width: 100%;
  height: 100%;
  margin: 0;
  font-family: $lato;
  font-size: 10px;
  overflow: hidden;

  @media screen and (max-width: 768px) {
    height: initial;
  }

  @media only screen and (max-width: 1400px) {
    font-size: 8px;
  }

  @media only screen and (max-width: 1024px) {
    font-size: 7px;
  }

  @media only screen and (max-width: 768px) {
    font-size: 6px;
  }
}

body {
  font-size: 1.6rem;
}

.btn {
  cursor: pointer;

  &--cancel, &--paypal {
    @extend .btn;
  }
}

.body {
  display: flex;
  position: relative;
  min-width: 100%;
  max-width: 100vw;

  &-content {
    width: 100%;
    max-width: 100vw;
    height: calc(100vh - 20.5rem);
    transition: all .5s;
    overflow: scroll;

    &__open-left {
      width: calc(100% - 40.5rem);
      margin-left: 40.5rem;
    }

    &__open-right {
      width: calc(100% - 39.8rem);
      margin-right: 39.8rem;
    }

    &__open-both {
      width: calc(100% - 80.3rem);
      margin-right: 39.8rem;
      margin-left: 40.5rem;
    }
  }
}

.cursor {
  &--pointer {
    cursor: pointer;
  }
}

.txt {
  &--gray {
    &-bg {
      background: gray;
    }
  }
}

.margin {
  &--right {
    &-5 {
      margin-right: 5px;
    }
  }
}

#content {
  display: inline-flex;
  flex-direction: column;
  min-width: 100%;
  min-height: $height__content;
  white-space: pre-line;
}

.divider {
  height: 5px;

  &-radial {
    @extend .divider;

    background-image: radial-gradient($white, $black);
  }

  &-linear {
    height: 7px;

    &--top {
      background-image: linear-gradient($white, $gray);
    }

    &--bottom {
      background-image: linear-gradient($gray, $white);
    }
  }

  &-empty {
    &--top, &--bottom {
      height: 2rem;
      background: $app-bg-secondary;
    }

    &--top {
      margin-top: 2rem;
      border-radius: 1.5rem 1.5rem 0 0;
    }

    &--bottom {
      margin-bottom: 2rem;
      border-radius: 0 0 1.5rem 1.5rem;
    }
  }
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 1000px transparent inset;
  box-shadow: 0 0 0 1000px transparent inset;
  transition: background-color 5000s ease-in-out 0s;
  -webkit-text-fill-color: $white;
}

::-webkit-scrollbar {
  width: 1rem;
}

/* Track */
::-webkit-scrollbar-track {
  background: transparent;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: $brighter-gray;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: $darker-gray;
}

::-webkit-scrollbar-corner {
  background: transparent;
}

::-webkit-scrollbar, ::-webkit-scrollbar-corner {
  background: #151924;
  -webkit-box-shadow: inset 2px 0 2px 0 rgba(0, 0, 0, 0.75);
  -moz-box-shadow: inset 2px 0 2px 0 rgba(0, 0, 0, 0.75);
  box-shadow: inset 2px 0 2px 0 rgba(0, 0, 0, 0.75);
}

//remove number dial for number textfield inputs
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  margin: 0;
  -webkit-appearance: none;
}

@media only screen and (max-width: 1400px) {
  .body {
    &-content {
      height: calc(100vh - 17rem);

      &__open-right {
        width: calc(100% - 28rem);
        margin-right: 28rem;
      }

      &__open-both {
        width: calc(100% - 57rem);
        margin-right: 28rem;
        margin-left: 29rem;
      }

      &__open-left {
        width: calc(100% - 29rem);
        margin-left: 29rem;
      }
    }
  }
}

@media only screen and (max-width: 1024px) {
  .body {
    &-content {
      height: calc(100vh - 17rem);

      &__open-right, &__open-both, &__open-left {
        width: 100%;
      }

      &__open-right, &__open-both {
        margin-right: 0;
      }

      &__open-both, &__open-left {
        margin-left: 0;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  html,body, .body, .body-content {
    width: 768px;
    max-width: 768px;
    overflow-x: hidden;
    overflow-y: scroll;
  }

  .body-content {
    height: initial;
  }
}
